%global gem_name rspec-fire

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: More resilient test doubles for RSpec

License: MIT
URL: https://github.com/xaviershay/rspec-fire
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: LICENSE

Requires: ruby
Requires: rubygems
Requires: rubygem-rspec >= 2.11
Requires: rubygem-rspec < 4
Requires: rubygem-rake
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygems

BuildArch: noarch

%description
More resilient test doubles for RSpec

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildRequires: rubygems
Requires: rubygems

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T

%build
%gem_install -n %{SOURCE0}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
cp -a %{SOURCE1} %{buildroot}%{gem_instdir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/spec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.md
%license %{gem_instdir}/LICENSE

%files doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/HISTORY
%doc %{gem_docdir}


%changelog
* Wed Dec 18 2019 Breno Brand Fernandes <brandfbb@gmail.com> - 1.3.0-1
- First build

